> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List active links for a workflow



## OpenAPI

````yaml /openapi/workflows.json get /workflows/links
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/links:
    get:
      tags:
        - Workflows
      summary: List active links for a workflow
      operationId: workflows.links.list
      parameters:
        - name: workflowId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    workflowId:
                      type: string
                    url:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    allowedEmails:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: 'null'
                    accessedBy:
                      type: array
                      items:
                        type: string
                    expiresAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                    revokedAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                    createdAt:
                      type: string
                  required:
                    - id
                    - workflowId
                    - url
                    - description
                    - allowedEmails
                    - accessedBy
                    - expiresAt
                    - revokedAt
                    - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````